apiVersion: apiextensions.crossplane.io/v1
kind: CompositeResourceDefinition
metadata:
  name: customnetworks.magic.example.org
spec:
  group: magic.example.org
  names:
    kind: CustomNetwork
    plural: customnetworks
  claimNames:
    kind: CustomNetwork
    plural: customnetworks
  versions:
  - name: v1alpha1
    served: true
    referenceable: true
    schema:
      openAPIV3Schema:
        type: object
        properties:
          spec:
            type: object
            properties:
              parameters:
                type: object
                properties:
                  description:
                    description: Description for the network
                    type: string
                  ipCidrRange:
                    description: The range of internal addresses that are owned by this subnetwork
                    type: string
                required:
                  - description
                  - ipCidrRange
            required:
              - parameters
          status:
            type: object
            properties:
              selfLink:
                description: SelfLink of the network
                type: string
